Subject: Re: [PATCH v3] powerpc/kprobes: Ignore traps that happened in real mode

From: "Naveen N. Rao" <[email-masked]>
Date: Sun, 22 Mar 2020 21:24:45 +0530

Christophe Leroy wrote:
> ping
> 
> 
> Le 18/02/2020 à 20:38, Christophe Leroy a écrit :
>> When a program check exception happens while MMU translation is
>> disabled, following Oops happens in kprobe_handler() in the following
>> code:
> 
> Michael, we have several traps in assembly while MMU is still disabled 
> (TRACE_IRQFLAGS, KUAP DEBUG, syscall from kernel, machine check in RTAS, 
> ...).
> Without this fix, all of them trigger an Oops when CONFIG_KPROBE is set.

For this patch:
Reviewed-by: Naveen N. Rao <[email-masked]>

- Naveen